library(startR)
files <- list.files("/esarchive/obs/ukmo/en4-v4.2.0/monthly_mean/heatcontent0m-300m")
data <- Start(var = 'heatcontent0m_300',

repos <- paste0("/esarchive/obs/ukmo/en4-v4.2.0/monthly_mean/heatcontent0m-300m/",
                '$var$_$sdate$.nc')
sino <- list(heatcontent0m_300m = c('heatcontent0m-300m', 'heatcontent0m_300m'))
data <- Start(dat = repos, var = 'heatcontent0m-300m',
               #sdate = paste0(sort(rep(1950 : 2016, 12)), sprintf('%02d', 1:12)),
               sdate = '195001',
               latitude = 'all',
               longitude = 'all', 
               return_vars = list(var = 'dat', longitude = 'dat',
                                  latitude = 'dat'),
               synonims = sino)

repo <- paste0("/esarchive/obs/ukmo/en4-v4.2.0/monthly_mean/heatcontent0m-300m/",
                '$var$_$sdates$.nc')

Load(var = 'heatcontent0m-300m',
     exp = repo,
     sdates = '19500101')

